class Mammal:
   def move(self, x):
        print('Двигается')


class Hare(Mammal):
    def move(self, x, y ):
        print('Прыгает')


animal = Mammal()
animal.move(100) # Двигается

hare = Hare()
hare.move(100) # Прыгает ????